Remove a market from a store group
Removes a market from a store group. The market must not have any prices attached to it within the store group. Returns the updated store group with remaining markets.
DELETE
/api/v1/{team_slug}/{app_slug}/store-groups/{store_group_slug}/market/{market_slug}Authorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
store_group_slugstringrequiredStore group slug
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
market_slugstringrequiredMarket slug
Responses
200
Market removed from store group successfully
datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.StoreGroupWithMarketsrequiredShow propertiesHide properties
country_of_salestring | nullcreated_atstringdescriptionstringidstringmarketsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.StoreGroupMarket[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.StoreGroupMarketactivebooleancountry_codesstring[] | nullcreated_atstringcurrency_codestringidstringis_tax_exemption_eligiblebooleanis_tax_included_in_pricebooleanlocalestringnamestringslugstringupdated_atstring | nullnamestringslugstringstore_typestringupdated_atstring | nulldetailsstring[]Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes
successbooleanrequired400
Invalid request (e.g. bad UUID, validation error)
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired